The problem of Python configuration for Tk

Home » CentOS » The problem of Python configuration for Tk
CentOS 3 Comments

Dear all, 

I installed an software called pymol in my CentOS 6.7 system. The installation process seemed to be successful but when I initialized pymol, I got the following error: 
import _tkinter # If this fails your Python may not be configured for Tk ImportError: libtk8.6.so: cannot open shared object file: No such file or directory. How could I solve the problem?
I’ll appreciate any help!
Best regards. Yeping Sun

3 thoughts on - The problem of Python configuration for Tk

  • # yum provides \*/libtk8.\*
    Loaded plugins: …..
    1:tk-8.5.7-5.el6.x86_64 : The graphical toolkit for the Tcl scripting language Repo : base Matched from:
    Filename : /usr/lib64/libtk8.5.so

    it appeaqrs CentOS 6 only has tk-8.5, not 8.6, so this pymol thing you’ve installed must be built for some other distribution or version.

  • I have another binary software package installed in my CentOS 6.7 which contains the libtk8.6.so file. This softwork works well. Does that mean that this libtk8.5.so library can also work in CentOS 6? So maybe set this libtk8.5.so shared in my system can solve the problem. But how?
    Yeping Sun
    —————————————————————— From:John R Pierce Time:2016 Nov 29 (Tue) 18:29To:CentOS Subject:Re: [CentOS] The problem of Python configuration for Tk
    # yum provides \*/libtk8.\*
    Loaded plugins: …..
    1:tk-8.5.7-5.el6.x86_64 : The graphical toolkit for the Tcl scripting 
    language Repo        : base Matched from:
    Filename    : /usr/lib64/libtk8.5.so

    it appeaqrs CentOS 6 only has tk-8.5, not 8.6, so this pymol thing 
    you’ve installed must be built for some other distribution or version.

    — 
    john r pierce, recycling bits in santa cruz

  • I added the path of a libtk8.6.so file located in another software installed in my system to the $LD_LIBRARY_PATH and it works.——————————————————————From:John R Pierce Time:2016 Nov 29 (Tue) 18:29To:CentOS Subject:Re: [CentOS] The problem of Python configuration for Tk
    # yum provides \*/libtk8.\*
    Loaded plugins: …..
    1:tk-8.5.7-5.el6.x86_64 : The graphical toolkit for the Tcl scripting 
    language Repo        : base Matched from:
    Filename    : /usr/lib64/libtk8.5.so

    it appeaqrs CentOS 6 only has tk-8.5, not 8.6, so this pymol thing 
    you’ve installed must be built for some other distribution or version.

    — 
    john r pierce, recycling bits in santa cruz

LEAVE A COMMENT